Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface DocumentManagerMBean

public interface DocumentManagerMBean
extends ServiceConfigurationMBean

The DocumentManager management bean interface.

A deployed DocumentManager EJB will look for a DocumentManagerMBean whose name corresponds to the "DocumentManagerMBeanName" environment setting of the EJB.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getContentCacheName()` Get the name of the cache to use for caching document content.
`java.lang.String` | `getDocumentConnectionPoolName()` Get the name of the DocumentConnectionPool this should use.
`java.lang.String` | `getJNDIName()` Get the DocumentManager EJB JNDI name for this document manager.
`int` | `getMaxCachedContentSize()` Get the maximum size of a document content block to cache.
`java.lang.String` | `getMetadataCacheName()` Get the name of the cache to use for caching document metadata.
`java.lang.String` | `getPropertyCase()` Get the case of properties for this DocumentManager
`boolean` | `getSynchronizedAccess()` Should we serialize search and content byte access to the underlying `DocumentProvider`?
`boolean` | `isContentCaching()` Should the DocumentManager cache document content.
`boolean` | `isMetadataCaching()` Should the DocumentManager cache document metadata.
`boolean` | `isUserIdInCacheKey()` Should we use the userId as part of the cache key.
`void` | `setContentCacheName(java.lang.String name)` Set the name of the cache to use for caching document content.
`void` | `setContentCaching(boolean b)` Set if the DocumentManager cache document content.
`void` | `setDocumentConnectionPoolName(java.lang.String name)` Set the name of the DocumentConnectionPool this should use.
`void` | `setJNDIName(java.lang.String name)` Set the DocumentManager EJB JNDI name for this document manager.
`void` | `setMaxCachedContentSize(int size)` Set the maximum size of a document content block to cache.
`void` | `setMetadataCacheName(java.lang.String name)` Get the name of the cache to use for caching document metadata.
`void` | `setMetadataCaching(boolean b)` Set if the DocumentManager cache document metadata.
`void` | `setPropertyCase(java.lang.String c)` Get the case of properties for this DocumentManager
`void` | `setSynchronizedAccess(boolean b)` Should we serialize search and content byte access to the underlying `DocumentProvider`?
`void` | `setUserIdInCacheKey(boolean b)` Should we use the userId as part of the cache key.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getAttributeStringValue, getNotes, getSetFields, getXml, getXmlConverter, isPersistenceEnabled, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDocumentConnectionPoolName

    public java.lang.String getDocumentConnectionPoolName()

  Get the name of the DocumentConnectionPool this should use.

### setDocumentConnectionPoolName

    public void setDocumentConnectionPoolName(java.lang.String name)

  Set the name of the DocumentConnectionPool this should use.

  Legal NULL: true

### getPropertyCase

    public java.lang.String getPropertyCase()

  Get the case of properties for this DocumentManager

  The value should one of "lower", "upper", or "none".

### setPropertyCase

    public void setPropertyCase(java.lang.String c)

  Get the case of properties for this DocumentManager

  The value should one of "lower", "upper", or "none".

  A dynamic MBean attribute
  Legal NULL: true
  Legal Values: "lower", "upper", "none"

### isMetadataCaching

    public boolean isMetadataCaching()

  Should the DocumentManager cache document metadata.

  Default Value: true

### setMetadataCaching

    public void setMetadataCaching(boolean b)

  Set if the DocumentManager cache document metadata.

  A dynamic MBean attribute

### getMetadataCacheName

    public java.lang.String getMetadataCacheName()

  Get the name of the cache to use for caching document metadata.

  Default Value: "documentMetadataCache"

### setMetadataCacheName

    public void setMetadataCacheName(java.lang.String name)

  Get the name of the cache to use for caching document metadata.

  A dynamic MBean attribute

### isUserIdInCacheKey

    public boolean isUserIdInCacheKey()

  Should we use the userId as part of the cache key.

  Default Value: true

### setUserIdInCacheKey

    public void setUserIdInCacheKey(boolean b)

  Should we use the userId as part of the cache key.

  A dynamic MBean attribute

### isContentCaching

    public boolean isContentCaching()

  Should the DocumentManager cache document content.

  Default Value: true

### setContentCaching

    public void setContentCaching(boolean b)

  Set if the DocumentManager cache document content.

  A dynamic MBean attribute

### getContentCacheName

    public java.lang.String getContentCacheName()

  Get the name of the cache to use for caching document content.

  Default Value: "documentContentCache"

### setContentCacheName

    public void setContentCacheName(java.lang.String name)

  Set the name of the cache to use for caching document content.

  A dynamic MBean attribute

### getMaxCachedContentSize

    public int getMaxCachedContentSize()

  Get the maximum size of a document content block to cache.

  Default Value: 32768

### setMaxCachedContentSize

    public void setMaxCachedContentSize(int size)

  Set the maximum size of a document content block to cache.

  A dynamic MBean attribute

### getJNDIName

    public java.lang.String getJNDIName()

  Get the DocumentManager EJB JNDI name for this document manager.

  This will be used by the `PropertySetRepositoryImpl` from the PropertySetManager to find additional ContentManagers to fetch CONTENT property sets from.

### setJNDIName

    public void setJNDIName(java.lang.String name)

  Set the DocumentManager EJB JNDI name for this document manager.

  This will be used by the `PropertySetRepositoryImpl` from the PropertySetManager to find additional ContentManagers to fetch CONTENT property sets from.

  Legal NULL: true

### getSynchronizedAccess

    public boolean getSynchronizedAccess()

  Should we serialize search and content byte access to the underlying `DocumentProvider`?

  Set this to true if the DocumentProvider implementation is very resource or time intensive. If this is set to true, you should be sure caching is enabled to avoid serializing all access to the EJB to a time-intensive method.

  Default Value: false
  See Also:
    `setMetadataCaching(boolean)`, `setContentCaching(boolean)`

### setSynchronizedAccess

    public void setSynchronizedAccess(boolean b)

  Should we serialize search and content byte access to the underlying `DocumentProvider`?

  Set this to true if the DocumentProvider implementation is very resource or time intensive. If this is set to true, you should be sure caching is enabled to avoid serializing all access to the EJB to a time-intensive method.

  A dynamic MBean attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved